---
- name: Reload Nginx Configuration
  hosts: "{{ target_hosts }}"
  gather_facts: yes
  become: yes


  tasks:
    - name: Clone nginx config
      git:
        repo: "https://gitlab.com/rohmat.trie/nginx-config.git"
        dest: "~/nginx-config"
        update: yes

    - name: Check configuration
      shell: nginx -t
      register: result
  
    - name: Reload Nginx Configuration
      shell: 'systemctl reload nginx'
      register: result

    - name: Check status of the nginx server
      shell: 'systemctl status nginx'
      register: command_output

    - debug:
            var: command_output.stdout_lines

    # - name: Get facts
    #   debug:
    #     msg:
    #       - "{{ ansible_facts.services['nginx'].status }}"
    # - name: First check the configuration
    #   shell: /usr/sbin/nginx -t
    #   register: test_nginx_config
    #   when: test_running_nginx.stdout != ""
    #   changed_when: False
    #   ignore_errors: True
    #   tags: restart-nginx

    # - name: check nginx configuration
    #   command: nginx -t
    #   register: result
    #   changed_when: "result.rc != 0"
      # check_mode: no
      # when: nginx_installation_type in nginx_installation_types_using_service

    # - name: Reload nginx configuration
    #   shell: sudo systemctl reload nginx
    #   when: 


